package base

import (
	"github.com/gin-gonic/gin"
)

// 获取登录时保存的常量
func GetMyClaimsItem(c *gin.Context, name string) (string) {
	return c.MustGet(name).(string)
}

//// GetHospitalCode 获取hospital code
//func GetHospitalCode(c *gin.Context) string {
//
//	hospitalCode := c.MustGet("hospital_code").(string)
//
//	if hospitalCode == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("获取hospital code 失败", zap.Error(err))
//			return ""
//		}
//
//		hospitalCode = utils.ToDesDecrypt(parseToken.HospitalCode)
//	}
//
//	return hospitalCode
//}
//
//
//
//
//// GetChainID  get chainID
//func GetChainID(c *gin.Context) string {
//
//	ChainID := c.MustGet("chain_id").(string)
//
//	if ChainID == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("chain_id 失败", zap.Error(err))
//			return ""
//		}
//
//		ChainID = utils.ToDesDecrypt(parseToken.ChainID)
//	}
//
//	return ChainID
//}
//
//// GetUserPhone 获取user phone
//func GetUserPhone(c *gin.Context) string {
//
//	userPhone := c.MustGet("user_phone").(string)
//
//	if userPhone == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("获取hospital code 失败", zap.Error(err))
//			return ""
//		}
//
//		userPhone = utils.ToDesDecrypt(parseToken.UserPhone)
//	}
//
//	return userPhone
//
//}
//
//// GetChainCode 获取chain code
//func GetChainCode(c *gin.Context) string {
//
//	chainCode := c.MustGet("chain_code").(string)
//
//	if chainCode == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("获取hospital code 失败", zap.Error(err))
//			return ""
//		}
//
//		chainCode = utils.ToDesDecrypt(parseToken.ChainCode)
//	}
//
//	return chainCode
//
//}
//
//// GetHospitalID 获取hospital id
//func GetHospitalID(c *gin.Context) string {
//
//	hospitalID := c.MustGet("hospital_id").(string)
//
//	if hospitalID == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("获取hospital id 失败", zap.Error(err))
//			return ""
//		}
//
//		hospitalID = utils.ToDesDecrypt(parseToken.HospitalID)
//	}
//
//	return hospitalID
//
//}
//
//// GetHospitalIDAndChainCode 获取hospital id
//func GetHospitalIDAndChainCode(c *gin.Context) (hospitalIDS, chainCodeS string) {
//
//	hospitalID := c.MustGet("hospital_id").(string)
//
//	if hospitalID == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("获取hospital id 失败", zap.Error(err))
//			return "", ""
//		}
//
//		hospitalID = utils.ToDesDecrypt(parseToken.HospitalID)
//	}
//
//	chainCode := c.MustGet("chain_code").(string)
//
//	if chainCode == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("获取hospital code 失败", zap.Error(err))
//			return "", ""
//		}
//
//		chainCode = utils.ToDesDecrypt(parseToken.ChainCode)
//	}
//
//	return hospitalID, chainCode
//
//}
//
//
//// GetHospitalIDAndChainID 获取hospital id and chain id
//func GetHospitalIDAndChainID(c *gin.Context) (hospitalIDS, chainIDS string) {
//
//	hospitalID := c.MustGet("hospital_id").(string)
//
//	if hospitalID == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("获取hospital id 失败", zap.Error(err))
//			return "", ""
//		}
//
//		hospitalID = utils.ToDesDecrypt(parseToken.HospitalID)
//	}
//
//	ChainID := c.MustGet("chain_id").(string)
//
//	if ChainID == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("chain_id 失败", zap.Error(err))
//			return "", ""		}
//
//		ChainID = utils.ToDesDecrypt(parseToken.ChainID)
//	}
//
//
//	return hospitalID, ChainID
//
//}
//
//
//
//// GetHospitalName 获取hospital name
//func GetHospitalName(c *gin.Context) (name string) {
//
//	hospitalName := c.MustGet("hospital_name").(string)
//
//	if hospitalName == "" {
//
//		token := c.Request.Header.Get("Authorization")
//
//		parseToken, err := utils.ParseToken(token)
//		if err != nil {
//			zap.L().Error("获取hospital name 失败", zap.Error(err))
//			return ""
//		}
//
//		hospitalName = utils.ToDesDecrypt(parseToken.HospitalName)
//	}
//
//
//
//	return hospitalName
//
//}
//
//func ParamInt(c *gin.Context, key string) (int, error) {
//
//	showType := c.Param(key)
//
//	showTypeInt, err := strconv.Atoi(showType)
//
//	return showTypeInt, err
//}
//
//
//func QueryInt(c *gin.Context, key string) int {
//
//	showType := c.Query(key)
//
//	showTypeInt, _ := strconv.Atoi(showType)
//
//	return showTypeInt
//}
